Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
NotifyPanel Class Reference

## Public Member Functions
| __init__ (self, directNotify, tl=None)
| getPandaCategories (self)
| getPandaCategoriesAsList (self)
| setActivePandaCategory (self, event=None)
| setActiveSeverity (self)

## Public Attributes
dict | activeCategory = None
| categoryList
| debugSeverity
| errorSeverity
| fatalSeverity
| infoSeverity
| setActivePandaCategory = self.categoryList.component('listbox')
| severity = IntVar()
| spamSeverity
| warningSeverity

## Protected Member Functions
| _getPandaCategories (self, category)
| _getPandaCategoriesAsList (self, pc, list)

## Detailed Description

    NotifyPanel class: this class contains methods for creating
    a panel to control direct/panda notify categories.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | directNotify,
|  |  | tl = None )

    NotifyPanel class pops up a control panel to view/set
    notify levels for all available DIRECT and PANDA notify categories

## Member Function Documentation

## ◆ _getPandaCategories()

_getPandaCategories | ( |  | self,
|  |  | category )
| protected

## ◆ _getPandaCategoriesAsList()

_getPandaCategoriesAsList | ( |  | self,
|  |  | pc,
|  |  | list )
| protected

## ◆ getPandaCategories()

getPandaCategories | ( |  | self | ) |

## ◆ getPandaCategoriesAsList()

getPandaCategoriesAsList | ( |  | self | ) |

## ◆ setActivePandaCategory()

setActivePandaCategory | ( |  | self,
|  |  | event = None )

## ◆ setActiveSeverity()

setActiveSeverity | ( |  | self | ) |

## Member Data Documentation

## ◆ activeCategory

dict activeCategory = None

## ◆ categoryList

categoryList

Initial value:
= Pmw.ScrolledListBox(
categoryFrame,
labelpos = 'nw', label_text = 'Categories:',
label_font=('MSSansSerif', 10, 'bold'),
listbox_takefocus = 1,
items = categoryNames,
selectioncommand = self.setActivePandaCategory)

## ◆ debugSeverity

debugSeverity

Initial value:
= Radiobutton(severityFrame, text = 'Debug',
justify = 'left', anchor = 'w',
value = NSDebug,
variable = self.severity,
command = self.setActiveSeverity)

## ◆ errorSeverity

errorSeverity

Initial value:
= Radiobutton(severityFrame, text = 'Error',
justify = 'left', anchor = 'w',
value = NSError,
variable = self.severity,
command = self.setActiveSeverity)

## ◆ fatalSeverity

fatalSeverity

Initial value:
= Radiobutton(severityFrame, text = 'Fatal',
justify = 'left', anchor = 'w',
value = NSFatal,
variable = self.severity,
command = self.setActiveSeverity)

## ◆ infoSeverity

infoSeverity

Initial value:
= Radiobutton(severityFrame, text = 'Info',
justify = 'left', anchor = 'w',
value = NSInfo,
variable = self.severity,
command = self.setActiveSeverity)

## ◆ setActivePandaCategory

setActivePandaCategory = self.categoryList.component('listbox')

## ◆ severity

severity = IntVar()

## ◆ spamSeverity

spamSeverity

Initial value:
= Radiobutton(severityFrame, text = 'Spam',
justify = 'left', anchor = 'w',
value = NSSpam,
variable = self.severity,
command = self.setActiveSeverity)

## ◆ warningSeverity

warningSeverity

Initial value:
= Radiobutton(severityFrame, text = 'Warning',
justify = 'left', anchor = 'w',
value = NSWarning,
variable = self.severity,
command = self.setActiveSeverity)